#ifndef GEN7TESTS_BUILDSPECIES_HPP
#define GEN7TESTS_BUILDSPECIES_HPP
#include <PkmnLib/Library/PokemonLibrary.hpp>
#include <CreatureLib/Library/TypeLibrary.hpp>
#include <string>
#include "../../extern/json.hpp"
using json = nlohmann::json;

class BuildSpecies {
    static const PkmnLib::Library::PokemonForme* BuildForme(const std::string& name, json& forme,
                                                            const std::string& baseKeyName, const std::string& path,
                                                            const CreatureLib::Library::TypeLibrary* typeLibrary);

public:
    static PkmnLib::Library::SpeciesLibrary* BuildLibrary(const std::string& path,
                                                                const CreatureLib::Library::TypeLibrary* types);
};

#endif // GEN7TESTS_BUILDSPECIES_HPP
