#ifndef GEN7TESTS_LIBRARY_HPP
#define GEN7TESTS_LIBRARY_HPP

#include <PkmnLib/Battling/Library/BattleLibrary.hpp>
#include <PkmnLib/Library/PokemonLibrary.hpp>
class Library {
    static PkmnLib::Library::PokemonLibrary* _staticLib;
    static PkmnLib::Battling::BattleLibrary* _library;

public:
    static const PkmnLib::Library::PokemonLibrary* GetStaticLib() { return _staticLib; }
    static const PkmnLib::Battling::BattleLibrary* GetLibrary() { return _library; }

    static void SetStaticLib(PkmnLib::Library::PokemonLibrary* lib) { _staticLib = lib; }
    static void SetLibrary(PkmnLib::Battling::BattleLibrary* lib) { _library = lib; }
};


#endif // GEN7TESTS_LIBRARY_HPP
